image: 
  name: registry.gitlab.com/rmb-lab/terraform/container-images/terraform:prerelease
  entrypoint: ["/bin/sh", "-c"]

stages:
  - plan
  - apply

plan:
  stage: plan
  script:
    - echo $GCP_SERVICE_ACCOUNT_KEY | base64 -d > creds.json
    - export GOOGLE_APPLICATION_CREDENTIALS=$(pwd)/creds.json
    - ./decrypt.sh
    - terraform init
    - terraform plan
  only:
    refs:
      - master

apply:
  stage: apply
  script:
    - echo $GCP_SERVICE_ACCOUNT_KEY | base64 -d > creds.json
    - export GOOGLE_APPLICATION_CREDENTIALS=$(pwd)/creds.json
    - ./decrypt.sh
    - terraform init
    - terraform plan -out=plan.file
    - terraform apply plan.file
  only:
    - tags
